Package org.apache.tomcat.util.net

## Class AprEndpoint.SocketInfo

- java.lang.Object
- - org.apache.tomcat.util.net.AprEndpoint.SocketInfo

- Enclosing class:
    AprEndpoint

      public static class AprEndpoint.SocketInfo
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `int` | `flags` |
    `long` | `socket` |
    `long` | `timeout` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SocketInfo()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static int` | `merge​(int flag1, int flag2)` |
    `boolean` | `read()` |
    `java.lang.String` | `toString()` |
    `boolean` | `write()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### socket

          public long socket

    - #### timeout

          public long timeout

    - #### flags

          public int flags

  - ### Constructor Detail

    - #### SocketInfo

          public SocketInfo()

  - ### Method Detail

    - #### read

          public boolean read()

    - #### write

          public boolean write()

    - #### merge

          public static int merge​(int flag1,
                                  int flag2)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`